Package tigase.cert

## Interface CertificateGenerator

- All Known Implementing Classes:
    `OldSelfSignedCertificateGenerator`

      public interface CertificateGenerator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.security.cert.X509Certificate` | `generateSelfSignedCertificate​(java.lang.String email, java.lang.String domain, java.lang.String organizationUnit, java.lang.String organization, java.lang.String city, java.lang.String state, java.lang.String country, java.security.KeyPair keyPair)` |

- - ### Method Detail

    - #### generateSelfSignedCertificate

          java.security.cert.X509Certificate generateSelfSignedCertificate​(java.lang.String email,
                                                                           java.lang.String domain,
                                                                           java.lang.String organizationUnit,
                                                                           java.lang.String organization,
                                                                           java.lang.String city,
                                                                           java.lang.String state,
                                                                           java.lang.String country,
                                                                           java.security.KeyPair keyPair)
                                                                    throws java.security.cert.CertificateException,
                                                                           java.io.IOException,
                                                                           java.security.NoSuchAlgorithmException,
                                                                           java.security.InvalidKeyException,
                                                                           java.security.NoSuchProviderException,
                                                                           java.security.SignatureException

      Throws:
        `java.security.cert.CertificateException`
        `java.io.IOException`
        `java.security.NoSuchAlgorithmException`
        `java.security.InvalidKeyException`
        `java.security.NoSuchProviderException`
        `java.security.SignatureException`